#!/bin/bash

package=iipsrv
version=-0.9.9

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTDIVA_INSTALLED/cmdline

export PKG_CONFIG_PATH=$prefix/lib/pkgconfig

export CFLAGS="-I$prefix/include"
export LDFLAGS="-L$prefix/lib"

opt_run_untar $force_untar $auto_untar $package $version 
opt_run_configure $force_config $auto_config $package $version "$prefix" "--with-tiff-includes=$prefix/include --with-tiff-libraries=$prefix/lib"

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"

if [ $install = "1" ] ; then
  cp "$package$version/src/iipsrv.fcgi" "$prefix/fcgi";
fi

opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

if [ $clean = "1" ] || [ $distclean = "1" ] ; then
  if [ -f "$prefix/fcgi/iipsrv.fcgi" ] ; then
    /bin/rm -rf "$prefix/fcgi/iipsrv.fcgi";
  fi
fi

opt_run_tarclean $tarclean $package $version


